Subject: [Ltru] Moving Forward

From: "Mark Davis" <[email-masked]>
Date: Tue, 12 Apr 2005 12:51:47 -0700

Coming back to this subject after being gone for a week, it appears to me
that there is only one really substantial issue remaining, and that is the
issue of what to do with the script. We have gone back and forth with this
issue, but it appears like we are spinning our wheels a bit. Addison and I
discussed this, and here's what we propose:

1. We add one field to the language records:

Associated_Script:

This field is optional; if present, it will occur 2 or more times. This
field is used to indicate languages commonly written in two or more scripts.
Languages that have this field SHOULD use a script subtag. Other languages
SHOULD NOT use a script subtag unless it adds some useful information (for
example, the Brai subtag for a Braille text) or in the context of certain
types of matching operations.

It is expected that it would be populated over time, with the registration
process. We add this to the registration form, so that associated scripts
can be added. We can put in values for the high-runner cases, since those
are well-known. For example:

%%
Type: lang
Subtag: sr
Description: Serbian
Associated_Script: Cyrl
Associated_Script: Latn
%%

We describe (informatively) in the LT doc that these fields can be useful in
matching, and note that in many kinds of matching the script code should be
omitted to maximize compatibility unless there is more than one
associated-script value present. We leave any further text to be worked out
in the matching document, since that is the scope of that document, and
beyond the scope of the LT document.

2. We leave the script in the current position, since it follows the
"most-significant-field-first" rule. While there may be cases where current
implementations won't find the region code where one exists, they will be no
worse off than if there is no region code at all. And with #1, this will be
few cases. We have to have script; that is one of the main reasons for
3066bis.

3. We arrange for a telecon either at the end of this week or the first part
of next week. We can have a common room for people in the S. San Francisco
area to meet in person, and others can call in. By having an "in person"
meeting, I think we might be able to make more progress than we seem to be
doing in email.

‎Mark

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Apr 2005 14:27:47 -0700

Hi -

> From: "Mark Davis" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Tuesday, April 12, 2005 12:51 PM
> Subject: [Ltru] Moving Forward
>

> beyond the scope of the LT document.

Technical question: how do you envision the entries for languages like Vietnamese,
which within relatively recent history have had multiple scripts, but which currently
are written (exclusively, AFAIK) in a single script?

> meeting, I think we might be able to make more progress than we seem to be

I appreciate the spirit in which this is offered, and think that something like this would
be helpful.  However, as a co-chair, I remind you that we're subject to RFC 2418
section 3.1, which says:

   All working group actions shall be taken in a public forum, and wide
   participation is encouraged. A working group will conduct much of its
   business via electronic mail distribution lists but may meet
   periodically to discuss and review task status and progress, to
   resolve specific issues and to direct future activities.  IETF
   Plenary meetings are the primary venue for these face-to-face working
   group sessions, and it is common (though not required) that active
   "interim" face-to-face meetings, telephone conferences, or video
   conferences may also be held.  Interim meetings are subject to the
   same rules for advance notification, reporting, open participation,
   and process, which apply to other working group meetings.

For the IESG's interpretation of this, see
http://www.ietf.org/IESG/STATEMENTS/Interim-meetings.txt

It's fine for self-selected "design teams" to attempt to develop a consensus view
off-list, though any proposals brought forth on the WG mailing list
by the members of such a design team are still subject to discussion and
normal rough consensus decision-making on the WG mailing list.  It's good to
announce such gatherings on-list; just don't advertise them as official WG Interims.
Also, since this WG is fairly small, the following will apply: "Detailed minutes are
required to be taken and submitted and a list of attendees must also be submitted.
This applies to all in-person meetings to which a large part of the working group is
invited, even if labeled as 'informal' to distinguish them from 'real'
working group meetings."  (from the IESG statement)

For an official WG Interim meeting, we need AD approval, a posted agenda,
and one month advance notice..

If members of the WG think an official interim meeting in mid-May would be helpful
(or not) please post your views, and whether you'd be able to host, physically attend,
or attend electronically.

Randy

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 12 Apr 2005 15:02:34 -0700

Thanks for outlining this. I'm not proposing an official meeting, just an
informal discussion. But we can keep notes and minutes as per your
description below.

> or attend electronically.

That may be useful, for further discussion once the draft is out; however,
the goal as per the charter is to have a draft ready by May 5. I am still
hopeful that that date can be achieved. If it cannot be, that calls into
question the ability of this group to make progress towards a successful
RFC.

> are written (exclusively, AFAIK) in a single script?

The main goal would be current modern usage. And there would be no
prohibition against including other explicit scripts for other types of
matching.

‎Mark

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Wed, 13 Apr 2005 00:11:42 +0200

On 23:27 12/04/2005, Randy Presuhn said:
>If members of the WG think an official interim meeting in mid-May would be 
>helpful (or not) please post your views, and whether you'd be able to 
>host, physically attend, or attend electronically.

Before I consider the practicalities: I would be ready to organize a 
meeting on June 2nd or May 31st in Paris or Versailles (taking advantage 
from an ISO oriented day, if I am right, some may want to attend) for the 
participants to this WG. Would there be people interested?

jfc

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Apr 2005 20:17:32 -0700

Hi -

> To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>; "Martin Duerst" <[email-masked]>
> Sent: Tuesday, April 12, 2005 3:02 PM
...
> prohibition against including other explicit scripts for other types of

This doesn't seem to match up completely with the description of Associated_Script,
where it said:

...
> > > Languages that have this field SHOULD use a script subtag. Other
...

This would seem that to result in the situation that if "Associated_Script" entries were
added to support historical scripts used for Vietnamese, then we'd be stuck using
a script subtag for modern texts, where the question is (almost?) never relevant.

Randy